OpenNMS API 1.2.9

## org.opennms.netmgt.config.server
Class LocalServer

    java.lang.Object
      org.opennms.netmgt.config.server.LocalServer

All Implemented Interfaces:
  java.io.Serializable

public class LocalServer
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_serverName`
`private java.lang.String` `_verifyServer`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`LocalServer()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getServerName()` Returns the value of field 'serverName'.
`java.lang.String` `getVerifyServer()` Returns the value of field 'verifyServer'.
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setServerName(java.lang.String serverName)` Sets the value of field 'serverName'.
`void` `setVerifyServer(java.lang.String verifyServer)` Sets the value of field 'verifyServer'.
`static LocalServer` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _serverName

    private java.lang.String _serverName

### _verifyServer

    private java.lang.String _verifyServer

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### LocalServer

    public LocalServer()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getServerName

    public java.lang.String getServerName()

  Returns the value of field 'serverName'.

  Returns:
    the value of field 'serverName'.

### getVerifyServer

    public java.lang.String getVerifyServer()

  Returns the value of field 'verifyServer'.

  Returns:
    the value of field 'verifyServer'.

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setServerName

    public void setServerName(java.lang.String serverName)

  Sets the value of field 'serverName'.

  Parameters:
    `serverName` - the value of field 'serverName'.

### setVerifyServer

    public void setVerifyServer(java.lang.String verifyServer)

  Sets the value of field 'verifyServer'.

  Parameters:
    `verifyServer` - the value of field 'verifyServer'.

### unmarshal

    public static LocalServer unmarshal(java.io.Reader reader)
                                 throws org.exolab.castor.xml.MarshalException,
                                        org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.